# ===========================
#  Versão dinâmica (Git)
# ===========================
m4_define([NEO_VERSION],
    m4_esyscmd_s([git describe --tags --always --dirty 2>/dev/null || echo "0.1-dev"]))

AC_INIT([NFDOS], m4_defn([NEO_VERSION]), [https://gitea.neoricalex.com/neo/nfdos.git])
AM_INIT_AUTOMAKE([foreign dist-bzip2 no-dist-gzip])
AM_PATH_PYTHON([2.5])

# Diretórios base (para substituição automática)
AC_SUBST([BUILD_DIR], [$PWD/build])
AC_SUBST([DIST_DIR],  [$PWD/dist])
AC_SUBST([ISO_DIR],   [$PWD/dist/iso/boot/grub])
AC_SUBST([ISO_FILE],  [$PWD/dist/nfdos-${PACKAGE_VERSION}.iso])
AC_SUBST([SRC_TAR],   [$PWD/dist/nfdos-${PACKAGE_VERSION}-src.tar.gz])
AC_SUBST([NEO_VERSION])

AM_MAKEFLAGS = '-j1'
AC_SUBST([AM_MAKEFLAGS])

# força exportação explícita de $(MAKE)
MAKE=${MAKE-make}
AC_SUBST([MAKE])

AC_CONFIG_FILES([
	Makefile
	src/Makefile
])

AC_OUTPUT

